import { createSSRApp } from 'vue'
import App from './App.vue'
import * as Pinia from "pinia"
import { createUnistorage } from "./uni_modules/pinia-plugin-unistorage"

console.info(`%c%c v3.5.0 %c 武汉大势恒通科技有限责任公司 `,
  'color: #3eaf7c; font-size: 16px;line-height:30px;',
  'background: #35495e; padding: 4px; border-radius: 3px 0 0 3px; color: #fff',
  'background: #41b883; padding: 4px; border-radius: 0 3px 3px 0; color: #fff',
);

export function createApp() {
  const app = createSSRApp(App)
  const store = Pinia.createPinia();
  store.use(createUnistorage());
  app.use(store);
  
  return {
    app,
    Pinia,
  }
}
